> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memobase.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Event

Update a user event with data.


## OpenAPI

````yaml put /api/v1/users/event/{user_id}/{event_id}
openapi: 3.1.0
info:
  title: Memobase API
  summary: APIs for Memobase, a user memory system for LLM Apps
  version: 0.0.40
servers:
  - url: https://api.memobase.dev
  - url: https://api.memobase.cn
security:
  - BearerAuth: []
paths:
  /api/v1/users/event/{user_id}/{event_id}:
    put:
      tags:
        - event
      summary: Update User Event
      operationId: update_user_event_api_v1_users_event__user_id___event_id__put
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid4
              - type: string
                format: uuid5
            description: The ID of the user
            title: User Id
          description: The ID of the user
        - name: event_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid4
              - type: string
                format: uuid5
            description: The ID of the event
            title: Event Id
          description: The ID of the event
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventData'
              description: Event data to update
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-code-samples:
        - lang: python
          source: >+
            # To use the Python SDK, install the package:

            # pip install memobase


            from memobase import MemoBaseClient


            client = MemoBaseClient(project_url='PROJECT_URL',
            api_key='PROJECT_TOKEN')

            uid = client.add_user()

            u = client.get_user(uid)

            # ... insert messages to user


            events = u.event(topk=5)

            eid = events[0].id


            u.update_event(eid, {"event_tip": "The event is about..."})

            print(u.event(topk=1))

          label: Python
        - lang: go
          source: >+
            // To use the Go SDK, install the package:

            // go get
            github.com/memodb-io/memobase/src/client/memobase-go@latest


            import (
                "fmt"
                "log"

                "github.com/memodb-io/memobase/src/client/memobase-go/core"
            )


            func main() {
                projectURL := "YOUR_PROJECT_URL"
                apiKey := "YOUR_API_KEY"
                // Initialize the client
                client, err := core.NewMemoBaseClient(
                    projectURL,
                    apiKey,
                )
                if err != nil {
                    log.Fatalf("Failed to create client: %v", err)
                }

                // Get a user
                userID := "EXISTING_USER_ID" // Replace with an actual user ID
                user, err := client.GetUser(userID, false)
                if err != nil {
                    log.Fatalf("Failed to get user: %v", err)
                }

                // Update an event
                eventID := "EXISTING_EVENT_ID" // Replace with an actual event ID
                eventData := map[string]interface{}{"event_tip": "The event is about..."}
                err = user.UpdateEvent(eventID, eventData)
                if err != nil {
                    log.Fatalf("Failed to update event: %v", err)
                }
                fmt.Printf("Successfully updated event with ID: %s
            ", eventID)

            }

          label: Go
components:
  schemas:
    EventData:
      properties:
        profile_delta:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProfileDelta'
              type: array
            - type: 'null'
          title: Profile Delta
          description: List of profile data
        event_tip:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Tip
          description: Event tip
        event_tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/EventTag'
              type: array
            - type: 'null'
          title: Event Tags
          description: List of event tags
      type: object
      title: EventData
    BaseResponse:
      properties:
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
          description: Response data payload
        errno:
          $ref: '#/components/schemas/CODE'
          description: Error code, 0 means success
          default: 0
        errmsg:
          type: string
          title: Errmsg
          description: Error message, empty when success
          default: ''
      type: object
      title: BaseResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProfileDelta:
      properties:
        content:
          type: string
          title: Content
          description: The profile content
        attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attributes
          description: User profile attributes in JSON, containing 'topic', 'sub_topic'
      type: object
      required:
        - content
        - attributes
      title: ProfileDelta
    EventTag:
      properties:
        tag:
          type: string
          title: Tag
          description: The event tag
        value:
          type: string
          title: Value
          description: The event tag value
      type: object
      required:
        - tag
        - value
      title: EventTag
    CODE:
      type: integer
      enum:
        - 0
        - 400
        - 401
        - 403
        - 404
        - 405
        - 409
        - 422
        - 500
        - 501
        - 502
        - 503
        - 504
        - 520
      title: CODE
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````